Support Questions
Find answers, ask questions, and share your expertise

Getting error "Cannot use the specified Ambari stack: StackRepoDetails{stack='HDP-2.6'; utils='HDP-UTILS-1.1.0.22'}.

New Contributor

Getting following error while provisioning an new hdp cluster env.

Error : 403 Forbidden.

 

Error shown below :

 

Cannot use the specified Ambari stack: StackRepoDetails{stack='HDP-2.6'; utils='HDP-UTILS-1.1.0.22'}. Error: An internal system exception occurred: Could not load url from http://public-repo-1.hortonworks.com/HDP/centos6/2.x/updates/2.6.5.0/HDP-2.6.5.0-292.xml. Server returned HTTP response code: 403 for URL: http://public-repo-1.hortonworks.com/HDP/centos6/2.x/updates/2.6.5.0/HDP-2.6.5.0-292.xml

 

We used same URL as mention above in our script to built a new hdp environment earlier many times but could not face any error like above.

 

Just would like to clarify..

 

The URL which we are using above , has been modified/changed or expired,

Or above link is active only for active / paid customer accounts.

1 REPLY 1

Hello @Cloudy 

Your diagnosis of the root cause of the HTTP 403 error is correct. At the tail end of last month, Cloudera changed the download policy and now to download Ambari and/or HDP you need a valid subscription. 

Please see the announcement here: Transition to private repositories for CDH, HDP and HDF.

The same announcement describes new patch releases of Ambari, which are now required to access Cloudera’s private repositories, which now contain these new and existing releases.

 

 

Bill Brooks, Community Moderator
Was your question answered? Make sure to mark the answer as the accepted solution.
If you find a reply useful, say thanks by clicking on the thumbs up button.